Skip to content
Справочник APIConsumerConsumer.device sessions

Revoke a device session in the current project

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

DELETE
/consumer/v1/auth/device/sessions/{device_id}/{session_id}

Revokes a specific device session after validating that both the device and the session belong to the authenticated user's project-scoped consumer account.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

device_id*string

Device ID

Formatuuid
session_id*string

Session ID

Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/consumer/v1/auth/device/sessions/55555555-5555-5555-5555-555555555555/66666666-6666-6666-6666-666666666666" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
Empty
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}